

import java.io.*;
import java.util.*;
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author juan antonio
 */
public class Principal {
    public static void main(String[] args) throws IOException{
        Juego j=new Juego();
        //Partida p=new Partida();
        int numJugadores=0;
        BufferedReader t= new BufferedReader(new InputStreamReader(System.in));
        
        System.out.println("BIENVENIDO A LA PRIMERA VERSION DEL CARIBE-RISK");
        System.out.println("_______________________________________________\n\n");
        String nPartida=null;
        try{
        System.out.println("Por favor, introduzca el nombre de la partida: ");
        nPartida=t.readLine();
        }
        catch(IOException e){
         System.out.println(e);
        }
        int control=0;
        while(control==0){
            BufferedReader teclado= new BufferedReader(new InputStreamReader(System.in));
            try{
                System.out.println("Por favor introduzca el numero de jugadores: " );
                numJugadores=Integer.parseInt(teclado.readLine());
            }
            catch(IOException ex){
                System.out.println(ex);
            }
           // System.out.println("El numero de jugadores es: "+numJugadores+"\n");
            //try{
              //  teclado.readLine();
            //}
            //catch(IOException ex1){}
            if (numJugadores<2 || numJugadores>6){
                System.out.println("Lo sentimos, por favor introduzca un numero de jugadores mayor que dos y menor que 6.");
            }
            else{
                control=1;
            }
        }
            
        Partida p=new Partida(nPartida,numJugadores);
        int terminar =2;
        System.out.println("\nVA A COMENZAR LA PARTIDA");
        System.out.println("________________________");
        BufferedReader teclado= new BufferedReader(new InputStreamReader(System.in));
        while(terminar==2)
        {
            Jugador jActivo=new Jugador();
            jActivo=p.getJugadorActivo();
            System.out.println("\nTiene el turno el jugador "+jActivo.getNombre()+".");
            System.out.println("El jugador "+jActivo.getNombre()+" esta realizando su turno.");
            try{
                Thread.sleep(5000);
            }
            catch(Exception e){}
            jActivo.finalizarTurno();
            System.out.println("¿Desea finalizar la partida? Inserte una opcion (1-Si, 2-No): ");
            
            try{
                terminar=Integer.parseInt(teclado.readLine());
            }
            catch(IOException ex){
                System.out.println(ex);
            }
            
            if(terminar==2){
                p.cambiarJugadorActivo();
            }
        }
          
        System.out.println("\nHA FINALIZADO LA PARTIDA");
    }
}
